Bug 1259620 - Missing Cpu.setType api
Missing Cpu.setType api
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: RestAPI (Show other bugs)
---
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.0.0-alpha
: 4.0.0
Assigned To: Juan Hernández
Petr Matyáš
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 04:22 EDT by Ala Hino
Modified: 2016-08-01 08:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-01 08:28:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
ylavi: planning_ack+
juan.hernandez: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45996 master MERGED restapi: Replace CPU "id" attribute with "type" element Never

  None (edit)
Description Ala Hino 2015-09-03 04:22:46 EDT
Description of problem:
There is no api to set cpu type; cpu.setId api is used the cpu type.
I find this inconvenience as, at least in the ui, admin specifically provides cpu type.
In addition, when using api to create objects, usually one expects the system to set the id rather than providing it.

Version-Release number of selected component (if applicable):
3.5.2.1

Additional info:
This can only be targeted in 4.0 due backward compatibility. 
Or perhaps we can add setType api and deprecate setId logic.
Comment 1 Petr Matyáš 2016-07-29 03:57:36 EDT
Verified on 4.0.2-3

Note You need to log in before you can comment on or make changes to this bug.